OpenPermit Docs
ReferenceApi

Record payment receipt

POST
/api/v1/payments/receipts

Authorization

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

executionId*string
resourceDeliveryStatus?string
failureReason?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/payments/receipts" \  -H "Content-Type: application/json" \  -d '{    "executionId": "string"  }'
{  "receiptId": "string",  "mandateId": "string",  "intentId": "string",  "policyDecisionId": "string",  "agent": {    "agentId": "string",    "name": "string",    "environment": "development",    "runtimeAttestation": {      "property1": null,      "property2": null    }  },  "seller": {    "sellerId": "string",    "name": "string",    "domain": "string",    "verified": false,    "minimumAssuranceLevel": "softwareApproved"  },  "resource": {    "resourceId": "string",    "sellerId": "string",    "method": "GET",    "pathTemplate": "string",    "description": "string",    "pricing": {      "type": "fixed",      "amount": "string",      "asset": "string"    },    "configurationSource": "dashboard",    "acceptedPaymentMethods": [      "x402"    ],    "minimumAssuranceLevel": "softwareApproved",    "paymentConfig": {}  },  "amount": "string",  "asset": "string",  "paymentPath": "offchain",  "paymentMethod": "x402",  "settlementMode": "offchainAuthorized",  "feeQuote": {    "feeQuoteId": "string",    "feeScheduleId": "string",    "buyerOrganizationId": "string",    "sellerOrganizationId": "string",    "settlementMode": "offchainAuthorized",    "paymentPath": "offchain",    "paymentMethod": "x402",    "chain": "string",    "asset": "string",    "grossAmount": "string",    "sellerNetAmount": "string",    "openPermitFeeAmount": "string",    "providerFeeAmount": "0",    "networkFeeAmount": "0",    "feePayer": "buyer",    "feeRecipient": "string",    "feeScheduleHash": "string",    "expiresAt": "string",    "createdAt": "string",    "metadata": {}  },  "approvalProofHash": "string",  "paymentCredentialHash": "string",  "settlementReference": "string",  "sellerVerificationStatus": "verified",  "resourceDeliveryStatus": "pending",  "createdAt": "string",  "settledAt": "string",  "failureReason": "string",  "refundReference": "string",  "auditHash": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string",  "errors": [    {      "detail": "string",      "pointer": "string"    }  ]}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}
{  "type": "about:blank",  "title": "string",  "status": 0,  "detail": "string",  "instance": "string",  "requestId": "string",  "code": "string"}